core/templates/filial/filial-detail.html
{% extends 'index.html' %}
{% load static %}

{% block title %}{% endblock title %}
{% block page %}
{% include 'order/set_expert.html' %}
{% include 'order/executors_popup.html' %}
  <div id="filial-actions" class="filial-detail">
    <setexpert v-on:event_expert="changedExpert" id="expert" :order=order :type_expert="'expert'"></setexpert>
    <setexpert  v-on:event_expert="changedExpert" id="expert_check" :order=order :type_expert="'expert_check'"></setexpert>
    <setexpert v-on:event_expert="changedExpert" id="transferring" :order=order :type_expert="'transferring'"></setexpert>
    <div class="section section_default">
      <div class="section__content">
        <div class="filial-detail__header header header_controls">
          <div class="header__main">
            <h1 v-cloak class="filial-detail__title">${ filial.name }</h1>
            <h3 v-cloak class="filial-detail__address">${ filial.address }</h3>
            <div class="filial-detail__contacts list">
              <div v-cloak class="list__item"><a id="id_phone" class="link link_title" v-bind:href="'tel:' + filial.phone">${ filial.phone }</a></div>
              <div v-cloak class="list__item"><a class="link link_default" v-bind:href="'mailto:' + filial.email">${ filial.email }</a></div>
            </div>
          </div>
          {% if perms.core.change_filial or perms.core.delete_filial %}
            <div class="header__controls">
              <div class="dropdown">
                <div class="dropdown__control" @click="openDropdown">
                  <div class="btn btn_m btn_square btn_primary">
                    <div class="btn__icon icon icon_m">
                      <svg>
                        <use xlink:href="#icon_menu_24"></use>
                      </svg>
                    </div>
                  </div>
                </div>
                <div  class="dropdown__content">
                  <div class="menu-controls">
                    {% if perms.core.change_filial %}<div class="menu-controls__item"><a class="menu-controls__link" v-bind:href="'/user/filial-edit/' + filial.id">Редактировать</a></div>{% endif %}
                    {% if perms.core.delete_filial %}<div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer" @click="deleteFilial(filial.id)">Удалить</a></div>{% endif %}
                  </div>
                </div>
              </div>
            </div>
          {% endif %}
        </div>
        <div class="filial-detail__tabs">
          <div class="tabs tabs_default">
            {% url 'user:filial_detail' filial.id as orders_url %}
            {% if perms.order.view_order %}
              <div id="order_tab" class="tabs__item"
              @click="openTab('order_filial')"><a class="tabs__link link" >
                  <h4 class="tabs__title">Заказы<small class="tabs__count" v-cloak>${ filial.order_count }</small></h4></a>
              </div>
            {% endif %}
            {% if perms.report.view_reportpodbor %}
                <div id="report_list_filial_tab" class="tabs__item"
                  @click="openTab('report_list_filial')"><a class="tabs__link link">
                      <h4 class="tabs__title">Отчёты<small class="tabs__count" v-cloak>${ filial.report_count }</small></h4></a>
                  </div>
                {% endif %}
            {% if perms.order.view_order %}
              <div id="user_list_filial_tab" class="tabs__item"
                @click="openTab('user_list_filial')"><a class="tabs__link link">
                  <h4 class="tabs__title">Сотрудники<small class="tabs__count" v-cloak>${ filial.users_count }</small></h4></a>
              </div>
            {% endif %}
            {% if perms.report.view_reportpodbor %}
              <div id="filial_logs_tab" class="tabs__item"
              @click="openTab('filial_logs')"><a class="tabs__link link">
                  <h4 class="tabs__title">Лог событий<small class="tabs__count" v-cloak>${ filial.logs_count }</small></h4></a>
              </div>
            {% endif %}
          </div>
        </div>
        {% block content %}
          <div id="order_filial" class="user_tab section__body" v-cloak>
            <div class="orders-grid orders-grid_default">
              <div v-for="order in order_filial" class="orders-grid__item">
                {% include 'order/orders.html' %}
              </div>
            </div>
            {% include 'pagination.html' %}
          </div>
          <div id="report_list_filial" class="user_tab section__body" v-cloak>
            {% include 'report/reports_api.html' %}
            {% include 'pagination.html' %}
          </div>
          <div id="user_list_filial" class="user_tab section__body" v-cloak>
            {% include 'user/users.html' %}
            {% include 'pagination.html' %}
          </div>
          <div id="filial_logs" class="user_tab section__body" v-cloak>
            {% include 'logs.html' %}
            {% include 'pagination.html' %}
          </div>
        {% endblock %}
      </div>
    </div>
  </div>
{% endblock %}

{% block script %}
    {{ block.super }}
    <script>
      var globalState = {executors: {}}
      var store = {
        state: {
          filter: '',
          filterCount: 0
        }
      }
    </script>
    <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
    <script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
    <script src="{% static 'js/filialdetail.bundle.js' %}"></script>
{% endblock %}

templates/gulp/markup/components/blocks/filial/filial-detail/filial-detail.pug
mixin filial-detail-header()
    block vars

    .filial-detail__header.header.header_controls
        .header__main
            h1.filial-detail__title Москва
            h3.filial-detail__address Каширское шоссе, д41, офис 35
            .filial-detail__contacts.list
                    .list__item
                        a.link.link_title(href="tel:+77777777777") +7 (777) 777-77-77
                    .list__item
                        a.link.link_default(href="mailto:mail@mail.ru") mail@mail.ru
        .header__controls
            .dropdown
                .dropdown__control
                    .btn.btn_m.btn_square.btn_primary
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href='#icon_menu_24')
                .dropdown__content
                    .menu-controls
                        .menu-controls__item
                            a.menu-controls__link(href="filial-edit.html") Редактировать
                        .menu-controls__item
                            a.menu-controls__link(href="#") Удалить
    .filial-detail__tabs
        .tabs.tabs_default
            if orderPage == "index"
                - var orderTabItem1 = "tabs__item_active"
            if orderPage == "members"
                - var orderTabItem2 = "tabs__item_active"
            if orderPage == "log"
                - var orderTabItem3 = "tabs__item_active"
            .tabs__item(class=orderTabItem1)
                a.tabs__link.link(href="filial-detail.html")
                    h4.tabs__title Заказы
                        span.tabs__count 76
            .tabs__item(class=orderTabItem2)
                a.tabs__link.link(href="filial-detail-members.html")
                    h4.tabs__title Сотрудники
                        span.tabs__count 15
            .tabs__item(class=orderTabItem3)
                a.tabs__link.link(href="filial-detail-log.html")
                    h4.tabs__title Лог событий
                        span.tabs__count 4353
